Subject: Replacement of * as argument with filenames
From: [email-masked] (Dr. Rainer W. Hasse)

15 Oct 1998 16:32:06 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

If I compile the simple program with gcc under linux:

int main(int narg, char **argv)
{
   int i;
   for (i=0; i<narg; i++) printf("%s\n",argv[i]);
   return 0;
}

and run:
     main *
I get a list of filenames in the present directory.
If I run:
   main "*"
I get *, as it should be.
If I compile this program under cygwin32 I always get the list of
filenames.
This is incompatible. How can I circumvent it?

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".